summaryrefslogtreecommitdiff
path: root/evergreen/lint_fuzzer_sanity_patch.sh
diff options
context:
space:
mode:
authorRichard Samuels <richard.l.samuels@gmail.com>2021-05-03 09:03:26 -0400
committerEvergreen Agent <no-reply@evergreen.mongodb.com>2021-05-12 19:26:12 +0000
commitf7235a380065092cacf65f15841eb98f6c52c1b4 (patch)
treeb74be5a4668f4988a745c5f1c3fdc19b89847ffc /evergreen/lint_fuzzer_sanity_patch.sh
parentadd1a7ef0ae1146f4ebd04b6bc0a0db30093726f (diff)
downloadmongo-f7235a380065092cacf65f15841eb98f6c52c1b4.tar.gz
SERVER-55626 Extract normal shell scripts from evergreen.yml part 4
Diffstat (limited to 'evergreen/lint_fuzzer_sanity_patch.sh')
-rw-r--r--evergreen/lint_fuzzer_sanity_patch.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/evergreen/lint_fuzzer_sanity_patch.sh b/evergreen/lint_fuzzer_sanity_patch.sh
new file mode 100644
index 00000000000..3d3fdb94acd
--- /dev/null
+++ b/evergreen/lint_fuzzer_sanity_patch.sh
@@ -0,0 +1,13 @@
+DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
+. "$DIR/prelude.sh"
+
+cd src
+
+set -eo pipefail
+set -o verbose
+
+add_nodejs_to_path
+
+# Run parse-jsfiles on 50 files at a time with 32 processes in parallel.
+# Grep returns 1 if it fails to find a match.
+(grep -v "\.tpl\.js$" modified_and_created_patch_files.txt | grep "\.js$" || true) | xargs -P 32 -L 50 npm run --prefix jstestfuzz parse-jsfiles --